Upstream information

CVE-2017-1000097 at MITRE

Description

On Darwin, user's trust preferences for root certificates were not honored. If the user had a root certificate loaded in their Keychain that was explicitly not trusted, a Go program would still verify a connection using that root certificate.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5
Vector AV:N/AC:L/Au:N/C:N/I:P/A:N
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact None
Integrity Impact Partial
Availability Impact None
CVSS v3 Scores
  National Vulnerability Database
Base Score 7.5
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:H/A:N
Attack Vector Network
Attack Complexity Low
Privileges Required None
User Interaction None
Scope Unchanged
Confidentiality Impact None
Integrity Impact High
Availability Impact None
CVSSv3 Version 3.1
SUSE Bugzilla entry: 1061545 [RESOLVED / INVALID]

No SUSE Security Announcements cross referenced.


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7.1 go Ignore
SUSE Linux Enterprise Desktop 15 SP5 go Ignore
SUSE Linux Enterprise High Performance Computing 15 SP5 go Ignore
SUSE Linux Enterprise Module for Development Tools 15 SP5 go Ignore
SUSE Linux Enterprise Real Time 15 SP3 go Ignore
SUSE Linux Enterprise Server 15 SP5 go Ignore
SUSE Linux Enterprise Server for SAP Applications 15 SP4 go Ignore
SUSE Linux Enterprise Server for SAP Applications 15 SP5 go Ignore
SUSE Manager Proxy 4.3 go Ignore
SUSE Manager Retail Branch Server 4.3 go Ignore
SUSE Manager Server 4.3 go Ignore
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise Desktop 15 SP4 go Ignore
SUSE Linux Enterprise High Performance Computing 15 SP3 go Ignore
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS go Ignore
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS go Ignore
SUSE Linux Enterprise High Performance Computing 15 SP4 go Ignore
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS go Ignore
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS go Ignore
SUSE Linux Enterprise Module for Development Tools 15 SP3 go Ignore
SUSE Linux Enterprise Module for Development Tools 15 SP4 go Ignore
SUSE Linux Enterprise Server 15 SP3 go Ignore
SUSE Linux Enterprise Server 15 SP3-LTSS go Ignore
SUSE Linux Enterprise Server 15 SP4 go Ignore
SUSE Linux Enterprise Server 15 SP4-LTSS go Ignore
SUSE Linux Enterprise Server for SAP Applications 15 SP3 go Ignore
Products past their end of life and not receiving proactive updates anymore.
SUSE Linux Enterprise Desktop 15 SP3 go Ignore
SUSE Linux Enterprise Real Time 15 SP4 go Ignore
SUSE Linux Enterprise Server 15 SP3-BCL go Ignore
SUSE Manager Proxy 4.2 go Ignore
SUSE Manager Retail Branch Server 4.2 go Ignore
SUSE Manager Server 4.2 go Ignore


SUSE Timeline for this CVE

CVE page created: Wed Oct 4 06:34:38 2017
CVE page last modified: Fri Apr 19 17:50:31 2024